PPIx::Regexp::Node::Unknown(3)

NAME
PPIx::Regexp::Node::Unknown - Represent an unknown node.

SYNOPSIS
None. Sorry. This class was added to support the "strict" option, which was itself an attempt to capture the functionality of "use re 'strict'". It is not known to have any other use, and it cannot be instantiated in any straightforward manner.

INHERITANCE
"PPIx::Regexp::Node::Unknown" is a PPIx::Regexp::Node.

"PPIx::Regexp::Node::Unknown" has no descendants.

DESCRIPTION
This class is used for a node which the lexer recognizes as being improperly constructed.

METHODS
This class provides no public methods beyond those provided by its superclass.

SUPPORT
Support is by the author. Please file bug reports at <https://rt.cpan.org/Public/Dist/Display.html?Name=PPIx-Regexp>, <https://github.com/trwyant/perl-PPIx-Regexp/issues>, or in electronic mail to the author.

AUTHOR
Thomas R. Wyant, III wyant at cpan dot org

COPYRIGHT AND LICENSE
Copyright (C) 2016-2023, 2025 by Thomas R. Wyant, III

This program is free software; you can redistribute it and/or modify it under the same terms as Perl 5.10.0. For more details, see the full text of the licenses in the directory LICENSES.

This program is distributed in the hope that it will be useful, but without any warranty; without even the implied warranty of merchantability or fitness for a particular purpose.